Create Deposit Address

POSThttps://bank.dattaremit.com/api/deposit_addresses

Requires a bank-scoped key.

Creates a deposit address.

## State

StateDescription
storingThe Platform is storing the deposit address details in our private store
createdThe Platform has created the deposit address

Required scope: deposit_addresses:execute

Body Params

required
namestring

The name of the deposit address.

account_guidstringrequired

The trading account guid.

labelsstring[]

The labels associated with the address.

Responses

201

Deposit Address created

401

Unauthorized - Authentication failed

403

Invalid scope

409

Conflict

422

Unprocessable Content

Request

curl https://api.dattaremit.com/api/deposit_addresses \
  -X POST \
  -H "Authorization: Bearer sk_test_YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "account_guid": "string",
  "name": "string",
  "labels": [
    "string"
  ]
}'

Response

Deposit Address created

{
  "guid": "string",
  "name": "string",
  "bank_guid": "string",
  "customer_guid": "string",
  "account_guid": "string",
  "created_at": "2026-07-20T16:27:51.438Z",
  "updated_at": "2026-07-20T16:27:51.438Z",
  "asset": "string",
  "state": "string",
  "address": "string",
  "format": "string",
  "tag": "string",
  "labels": [
    "string"
  ]
}